local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.PrinciplesOfGoldMaking(container)




local frame = AceGUI:Create("Frame")
frame:SetTitle("Principles Of Gold Making")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)



local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125The Cycle")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("When it comes to markets in game you can always see a cycle which takes place. This can be due to multiple factors, weather that be influxes of different items, patch releases increasing sales in Gear and Raiding supplies. One thing is for sure and that is the markets almost always have a high and then a low. Take for instance a patch release, on a release of a patch the trend that always occurs is that raiding supplies go high in sales. This is due to the user base wanting to get them serfs ready for when the next amount of content goes live in order to do, but after the release you will see a stable sell rate of those particular types of items and then a reduction in the supply this can be due to the demand of those items being fulfilled by multiple gold makers and once enough makers get into that market the supply will start to shunt down the price and this will in turn reduce the supply as the profit margins will go down so less people will start crafting these. So we will see a high of the release in sales and profit then a steady decline in those factors until it meets a steady rate once again until the next release of content. The trick is to stay in those markets throughout to catch the highs and maintain a steady return when the market corrects.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Consistency")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("As a Gold Maker there is always one thing you can do to make gold now and into the future. This is staying consistent in what you are doing. This is typically what newer gold makers fall short on but if you take a look at the top makers you'll tend to see a trend in what they are doing and that is consistency. They are able to keep a steady return by picking a method ( commonly Crafting) and repeating that process every day. This is to further the point made in “The Cycle” in which staying consistent in your market you choose and repeating that process, catching the highs and lows will over time give you a strong return in the amount you will receive. This is weather you'll be farming an hour each day of an item or you are crafting items to sell on for a profit. The same thing is true and that is it is a repeatable process which will produce long term gains way into the future. It is devising a system that works for yourself and staying true to it by repeating those actions each day to produce the greater outcome into the future.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Knowing Ones Market")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("A Common Mistake new Gold Makers make is jumping into a market they know nothing about. This is either jumping on a band wagon for a quick gain and in turn loosing gold because they jumped onto the tail end of that high. Though it sometimes is okay to jump into trends if you get on them early enough in the long run you must know it won't be sustainable into the long run and such will result into a cycle of that. Knowing your market you are in you will be able to have a better understanding of these cycles that occur so you can either increase supply to meet the demand on the auction house or reduce the amount when it hits a low. To understand your market you will need to move into that market and as such it will take time to learn and figure out when these cycles happen. So in essence you will need to choose a market for yourself and then staying consistent in that approach over time to understand how it works for yourself or you are able to do some due diligence into other gold markers processes and what they have learned to get the leg up so you are able to know what to look out for.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Don't Loose Gold")
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  desc:SetFullWidth(true)
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("This is more of a general term but still holds a purpose. “Don't Loose Gold” is something that know matter what Market, Method or System you are doing to make gold now and into the future you should mitigate all potential gold loss. Though some people do get confused when it comes to paying gold to invest into crafts but the process is still the same. You always want to make gold by making a profit. For instance, if you are farming materials and you sell them on the auction house, this can be seen as investing time into obtaining the items and then transferring that time into gold. The question to ask is “did I get the best return on my time?” this is a simple question but holds value in a sense of did you get the most for how much you invested weather that be Time or Gold the principle remains the same. This is why a lot of higher end gold makers choose crafting as it maybe a high barrier of entry to begin with but once you have broken into that market you will be saving time by reinvesting the initial gold to make more gold as it take less time to craft then opposed to farming. Farming will give you a strong return providing you choose your farm wisely but reinvesting your gold to make more gold and saving time frees you up to do more and has a better Return on Investment then other methods for the long term game.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Long Term Over Short Term")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("I find that this is something that is over looked quite a bit and overall this principle is something that should always be taken note of. Say you are farming something and you do it for  a total of an hour. Well this maybe good in the short term as materials sell fast and give decent return, where is your supply now once it's sold? Well you will need to farm another hour again. Now take for instance that you use that gold into crafting potions for raiding, you know that they sell on a consistent basis and have a good profit return but is of course less than the farm. Though the profit is less than the farm it takes less time to do and relist on the auction house for sales over time this adds up and can be repeated with ease. Where with farming you have to give up more time for those materials and thus over the long term you will have to sink more time into farming and your return will be based on how much you can farm every hour as opposed to your potions where you simply reinvesting you gold each time for the return. It is always about long term thinking and systems that will make you win into the future so I leave you with this, make it simple, make it repeatable and make it profitable, this is how you will win moving into the future.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


--]]



end
